import '../styles.css'
import dynamic from 'next/dynamic'
import { TinaEditProvider } from 'tinacms/dist/edit-state'
const TinaCMS = dynamic(() => import('tinacms'), { ssr: false })

const NEXT_PUBLIC_TINA_CLIENT_ID = process.env.NEXT_PUBLIC_TINA_CLIENT_ID
const NEXT_PUBLIC_USE_LOCAL_CLIENT =
  process.env.NEXT_PUBLIC_USE_LOCAL_CLIENT || true

const App = ({ Component, pageProps }) => {
  return (
    <>
      <TinaEditProvider
        showEditButton={true}
        editMode={
          <TinaCMS
            branch="main"
            clientId={NEXT_PUBLIC_TINA_CLIENT_ID}
            isLocalClient={Boolean(Number(NEXT_PUBLIC_USE_LOCAL_CLIENT))}
            // mediaStore={import('next-tinacms-cloudinary').then(
            //   ({ TinaCloudCloudinaryMediaStore }) =>
            //     TinaCloudCloudinaryMediaStore
            // )}
            // cmsCallback={(cms) => {
            //   import('react-tinacms-editor').then(({ MarkdownFieldPlugin }) => {
            //     cms.plugins.add(MarkdownFieldPlugin)
            //   })
            // }}
            // formifyCallback={({ formConfig, createForm, createGlobalForm }) => {
            //   if (formConfig.id === 'getGlobalDocument') {
            //     return createGlobalForm(formConfig)
            //   }

            //   return createForm(formConfig)
            // }}
            {...pageProps}
          >
            {(livePageProps) => <Component {...livePageProps} />}
          </TinaCMS>
        }
      >
        <Component {...pageProps} />
      </TinaEditProvider>
    </>
  )
}

export default App
